<?php
class VIA_Ebay_Block_Adminhtml_Sales_Order extends Mage_Adminhtml_Block_Widget_Grid_Container {
	/**
	 * Constructor for Cron Adminhtml Block
	 */
	public function __construct() {
		$this->_blockGroup = 'viaebay';
		$this->_controller = 'adminhtml_sales_order';
		$this->_headerText = Mage::helper ( 'viaebay' )->__ ( 'Orders' );
		parent::__construct ();
	}
	
	/**
	 * Prepare layout
	 *
	 * @return VIA_Ebay_Block_Adminhtml_Backlog_Product_Grid_Container
	 */
	protected function _prepareLayout() {
		$this->removeButton ( 'add' );
		
		$this->_addButton ( 'run_orders', array (
				'label' => Mage::helper ( 'viaebay' )->__ ( 'Import Orders' ),
				'onclick' => 'setLocation(\'' . $this->getUrl ( 'adminhtml/viaebay_backlog_product/run', array (
						'cronjob' => VIA_Ebay_Model_Cron::SYNC_ORDERS,
						'redirect' => 'order' 
				) ) . '\')',
				'class' => 'add' 
		) );
		
		/*
		 * $this->_addButton ( 'schedule_orders', array (
		 * 'label' => Mage::helper ( 'viaebay' )->__ ( 'Schedule Orders' ),
		 * 'onclick' => 'setLocation(\'' . $this->getUrl ( 'adminhtml/viaebay_backlog_product/schedule', array (
		 * 'cronjob' => VIA_Ebay_Model_Cron::SYNC_ORDERS
		 * ) ) . '\')',
		 * 'class' => 'add'
		 * ) );
		 */
		
		return parent::_prepareLayout ();
	}
}