<?php
class VIA_Ebay_Block_Adminhtml_Widget_Grid_Column_Renderer_Reimport extends Mage_Adminhtml_Block_Widget_Grid_Column_Renderer_Abstract {
	public function render(Varien_Object $row) {
		$value = $row->getData ( $this->getColumn ()->getIndex () );
		$magento_order_id = $row->getData ( 'magento_order_id' );
		$helper = $this->helper ( 'viaebay/data' );
		
		if (strlen ( $value ) <= 0 || strlen ( $magento_order_id ) > 0) {
			return "-";
		}
		
		return '<a href="' . Mage::helper ( 'adminhtml' )->getUrl ( 'adminhtml/viaebay_order/reimport', array (
				'id' => $value 
		) ) . '">' . $this->helper ( 'viaebay' )->__ ( 'Reimport' ) . '</a>';
	}
}