<?php
class VIA_Ebay_Model_Exception_Product extends VIA_Ebay_Model_Exception_Abstract {
	/**
	 *
	 * @var string
	 */
	private $productId;
	
	/**
	 * Construct the exception
	 *
	 * @param string $msg        	
	 * @param int $code        	
	 * @param Exception $previous        	
	 * @return void
	 */
	public function __construct($productId, $msg = '', $code = 0, Exception $previous = null) {
		parent::__construct ( $msg, $code, $previous );
		$this->productId = $productId;
	}
	public function getProductId() {
		return $this->productId;
	}
	public function getProductUrl() {
		return Mage::getUrl ( 'adminhtml/catalog_product/edit', array (
				'id' => $this->productId 
		) );
	}
}
