<?php
class VIA_Ebay_Model_System_Config_Source_Attributes {
	protected $attributes;
	public function __construct() {
		$this->attributes = array (
				array (
						'label' => Mage::helper ( 'viaebay/data' )->__ ( 'None' ),
						'value' => 'None' 
				),
				array (
						'label' => Mage::helper ( 'viaebay/data' )->__ ( 'Custom Attribute' ),
						'value' => 'CustomAttribute' 
				),
				array (
						'label' => Mage::helper ( 'viaebay/data' )->__ ( 'Optional Attribute' ),
						'value' => 'OptionalAttribute' 
				),
				array (
						'label' => Mage::helper ( 'viaebay/data' )->__ ( 'Title' ),
						'value' => 'Title' 
				),
				array (
						'label' => Mage::helper ( 'viaebay/data' )->__ ( 'Price' ),
						'value' => 'Price' 
				),
				array (
						'label' => Mage::helper ( 'viaebay/data' )->__ ( 'Discount Offer' ),
						'value' => 'DiscountOffer' 
				),
				array (
						'label' => Mage::helper ( 'viaebay/data' )->__ ( 'Description' ),
						'value' => 'Description' 
				),
				array (
						'label' => Mage::helper ( 'viaebay/data' )->__ ( 'Short Description' ),
						'value' => 'ShortDescription' 
				),
				array (
						'label' => Mage::helper ( 'viaebay/data' )->__ ( 'Ean' ),
						'value' => 'Ean' 
				),
				array (
						'label' => Mage::helper ( 'viaebay/data' )->__ ( 'Mpn' ),
						'value' => 'Mpn' 
				),
				array (
						'label' => Mage::helper ( 'viaebay/data' )->__ ( 'Brand' ),
						'value' => 'Brand' 
				),
				array (
						'label' => Mage::helper ( 'viaebay/data' )->__ ( 'Upc' ),
						'value' => 'Upc' 
				),
				array (
						'label' => Mage::helper ( 'viaebay/data' )->__ ( 'Isbn' ),
						'value' => 'Isbn' 
				),
				array (
						'label' => Mage::helper ( 'viaebay/data' )->__ ( 'Unit Quantity' ),
						'value' => 'UnitQuantity' 
				),
				array (
						'label' => Mage::helper ( 'viaebay/data' )->__ ( 'Unit Type' ),
						'value' => 'UnitType' 
				),
				array (
						'label' => Mage::helper ( 'viaebay/data' )->__ ( 'KType' ),
						'value' => 'KType' 
				),
				array (
						'label' => Mage::helper ( 'viaebay/data' )->__ ( 'HSN' ),
						'value' => 'HSN' 
				),
				array (
						'label' => Mage::helper ( 'viaebay/data' )->__ ( 'TSN' ),
						'value' => 'TSN' 
				) 
		);
	}
	public function toOptionArray($addEmpty = true) {
		return $this->attributes;
	}
	public function toSelectArray() {
		$result = array ();
		
		foreach ( $this->attributes as $attribute ) {
			$result [$attribute ['value']] = $attribute ['label'];
		}
		
		return $result;
	}
}
