<?php
class VIA_Ebay_Adminhtml_Viaebay_OrderController extends Mage_Adminhtml_Controller_Action {
	protected function _initAction() {
		$this->loadLayout ()->_setActiveMenu ( 'viaebay/products' )->_addBreadcrumb ( Mage::helper ( 'viaebay' )->__ ( 'Products' ), Mage::helper ( 'viaebay' )->__ ( 'Products' ) );
		return $this;
	}
	protected function _isAllowed() {
		return Mage::getSingleton ( 'admin/session' )->isAllowed ( 'admin/viaebay/orders' );
	}
	
	/**
	 * Default index.
	 */
	public function indexAction() {
		$this->_initAction ()->renderLayout ();
	}
	
	/**
	 * Product grid for AJAX request.
	 */
	public function gridAction() {
		$this->loadLayout ();
		$this->getResponse ()->setBody ( $this->getLayout ()->createBlock ( 'viaebay/adminhtml_sales_order_grid' )->toHtml () );
	}
	
	/**
	 * Reimport order
	 */
	public function reimportAction() {
		$id = $this->getRequest ()->getParam ( "id" );
		$redirect = $this->getRequest ()->getParam ( "redirect", "order" );
		
		/* @var $service VIA_Ebay_Model_Service_Order */
		$service = Mage::getModel ( 'viaebay/service_order' );
		
		$service->import ( array (
				$id 
		) );
		
		if ($redirect === "backlog_product") {
			$this->_redirect ( 'adminhtml/viaebay_backlog_product/index' );
			return;
		}
		
		$this->_redirect ( 'adminhtml/viaebay_order/index' );
	}
}