<?php
/* @var $installer VIA_Ebay_Model_Resource_Eav_Mysql4_Setup */
$installer = $this;
$installer->startSetup ();

$installer->getConnection ()->dropColumn ( $installer->getTable ( 'catalog/eav_attribute' ), "is_exported_to_via_ebay" );
$installer->getConnection ()->addColumn ( $installer->getTable ( 'catalog/eav_attribute' ), "viaebay_attribute", "VARCHAR( 255 ) DEFAULT 'None' COMMENT 'VIA-Connect Attribut'" );

$attributeCollection = Mage::getResourceModel ( 'catalog/product_attribute_collection' )->addVisibleFilter ();

foreach ( $attributeCollection as $attributeModel ) {
	switch ($attributeModel->getAttributeCode ()) {
		case 'name' :
			$attributeModel->setData ( 'viaebay_attribute', 'Title' );
			$attributeModel->save();
			break;
		case 'price' :
			$attributeModel->setData ( 'viaebay_attribute', 'Price' );
			$attributeModel->save();
			break;
		case 'description' :
			$attributeModel->setData ( 'viaebay_attribute', 'Description' );
			$attributeModel->save();
			break;
		case 'short_description' :
			$attributeModel->setData ( 'viaebay_attribute', 'ShortDescription' );
			$attributeModel->save();
			break;
	}
}

$installer->endSetup ();