<?php
class VIA_Ebay_Block_Adminhtml_Attribute extends Mage_Adminhtml_Block_Widget_Grid_Container {
	/**
	 * Constructor for Cron Adminhtml Block
	 */
	public function __construct() {
		$this->_blockGroup = 'viaebay';
		$this->_controller = 'adminhtml_attribute';
		$this->_headerText = Mage::helper ( 'viaebay' )->__ ( 'Attribute' );
		parent::__construct ();
	}
	/**
	 * Prepare layout
	 *
	 * @return VIA_Ebay_Block_Adminhtml_Backlog_Product_Grid_Container
	 */
	protected function _prepareLayout() {
		$this->removeButton ( 'add' );
		
		$this->_addButton ( 'save', array (
				'label' => Mage::helper ( 'viaebay' )->__ ( 'Save' ),
				'onclick' => "document.getElementById('viaebay_attribute_form').submit()",
				'class' => 'add' 
		) );
		
		return parent::_prepareLayout ();
	}
	public function getGridHtml() {
		$formKey = Mage::getSingleton('core/session')->getFormKey();
		return '<form id="viaebay_attribute_form" action="' . Mage::helper ( "adminhtml" )->getUrl ( "adminhtml/viaebay_attribute/save" ) . '" method="post"><input type="hidden" name="form_key" value="' . $formKey .'" /> ' . parent::getGridHtml () . '</form>';
	}
}