<?php
class VIA_Ebay_Block_Adminhtml_Backlog_Product extends Mage_Adminhtml_Block_Widget_Grid_Container {
	/**
	 * Constructor for Cron Adminhtml Block
	 */
	public function __construct() {
		$this->_blockGroup = 'viaebay';
		$this->_controller = 'adminhtml_backlog_product';
		$this->_headerText = Mage::helper ( 'viaebay' )->__ ( 'Backlog' );
		parent::__construct ();
	}
	/**
	 * Prepare layout
	 *
	 * @return VIA_Ebay_Block_Adminhtml_Backlog_Product_Grid_Container
	 */
	protected function _prepareLayout() {
		$this->removeButton ( 'add' );
		
		$this->_addButton ( 'run_catalog', array (
				'label' => Mage::helper ( 'viaebay' )->__ ( 'Synchronize Productlist' ),
				'onclick' => 'setLocation(\'' . $this->getUrl ( 'adminhtml/viaebay_backlog_product/run', array (
						'cronjob' => VIA_Ebay_Model_Cron::SYNC_CATALOG,
						'redirect' => 'backlog_product' 
				) ) . '\')',
				'class' => 'add' 
		) );
		
		/*
		$this->_addButton ( 'run_orders', array (
				'label' => Mage::helper ( 'viaebay' )->__ ( 'Import Orders' ),
				'onclick' => 'setLocation(\'' . $this->getUrl ( 'adminhtml/viaebay_backlog_product/run', array (
						'cronjob' => VIA_Ebay_Model_Cron::SYNC_ORDERS,
						'redirect' => 'backlog_product' 
				) ) . '\')',
				'class' => 'add' 
		) );
		*/
		
		$this->_addButton ( 'schedule_jobs', array (
				'label' => Mage::helper ( 'viaebay' )->__ ( 'Schedule Jobs' ),
				'onclick' => 'setLocation(\'' . $this->getUrl ( 'adminhtml/viaebay_backlog_product/schedule', array (
						'cronjob' => 'all',
						'redirect' => 'backlog_product' 
				) ) . '\')',
				'class' => 'add' 
		) );
		
		// $this->_addButton ( 'schedule_catalog', array (
		// 'label' => Mage::helper ( 'viaebay' )->__ ( 'Schedule Catalog' ),
		// 'onclick' => 'setLocation(\'' . $this->getUrl ( 'adminhtml/viaebay_backlog_product/schedule', array (
		// 'cronjob' => VIA_Ebay_Model_Cron::SYNC_CATALOG,
		// 'redirect' => 'backlog_product'
		// ) ) . '\')',
		// 'class' => 'add'
		// ) );
		
		// $this->_addButton ( 'schedule_orders', array (
		// 'label' => Mage::helper ( 'viaebay' )->__ ( 'Schedule Orders' ),
		// 'onclick' => 'setLocation(\'' . $this->getUrl ( 'adminhtml/viaebay_backlog_product/schedule', array (
		// 'cronjob' => VIA_Ebay_Model_Cron::SYNC_ORDERS,
		// 'redirect' => 'backlog_product'
		// ) ) . '\')',
		// 'class' => 'add'
		// ) );
		
		return parent::_prepareLayout ();
	}
}