<?php
class VIA_Ebay_Block_Adminhtml_Widget_Grid_Column_Renderer_PlatformOrderId extends Mage_Adminhtml_Block_Widget_Grid_Column_Renderer_Abstract {
	public function render(Varien_Object $row) {
		$value = $row->getData ( $this->getColumn ()->getIndex () );
		
		if (strlen ( $value ) <= 0) {
			return "&nbsp;";
		}
		
		$parts = explode ( '-', $value );
		
		if (count ( $parts ) > 1) {
			$url = "http://k2b-bulk.ebay.de/ws/eBayISAPI.dll?EditSalesRecord&urlstack=5508|Period_Last90Days|currentpage_SCSold|&itemId=$parts[0]&transid=$parts[1]";
		} else {
			$url = "http://k2b-bulk.ebay.de/ws/eBayISAPI.dll?EditSalesRecord&urlstack=5508|Period_Last90Days|currentpage_SCSold|&orderid=$parts[0]";
		}
		
		return '<a href="' . $url . '" target="_blank">' . $value . '</a>';
	}
}