<?php
class VIA_Ebay_Block_Widget_Grid_Column_Renderer_AttributeSelect extends Mage_Adminhtml_Block_Widget_Grid_Column_Renderer_Abstract {
	
	/**
	 * Renders grid column
	 *
	 * @param Varien_Object $row        	
	 * @return string
	 */
	public function render(Varien_Object $row) {
		$name = $this->getColumn ()->getName () ? $this->getColumn ()->getName () : $this->getColumn ()->getId ();
		$html = '<select name="' . $this->escapeHtml ( $name ) . '[' . $row->getData ( 'attribute_code' ) . ']" ' . $this->getColumn ()->getValidateClass () . '>';
		$value = $row->getData ( $this->getColumn ()->getIndex () );
		foreach ( $this->getColumn ()->getOptions () as $val => $label ) {
			$selected = (($val == $value && (! is_null ( $value ))) ? ' selected="selected"' : '');
			$html .= '<option value="' . $this->escapeHtml ( $val ) . '"' . $selected . '>';
			$html .= $this->escapeHtml ( $label ) . '</option>';
		}
		$html .= '</select>';
		return $html;
	}
}
