<?php
/**
 * 
 *
 */
class VIA_Ebay_Model_Resource_Category_Collection extends Mage_Catalog_Model_Resource_Category_Collection {
	/**
	 * Retrieves store_id from current store
	 *
	 * @return int
	 */
	protected function _getCurrentStoreId() {
		return ( int ) Mage::app ()->getStore ()->getId ();
	}
	
	/**
	 * Set disable flat flag
	 *
	 * @param bool $flag        	
	 * @return Mage_Catalog_Model_Resource_Category_Collection
	 */
	public function setDisableFlat($flag) {
		if (is_callable ( 'parent::setDisableFlat' )) {
			parent::setDisableFlat ( $flag );
		} else {
			$this->_disableFlat = ( bool ) $flag;
		}
		
		return $this;
	}
	
	/**
	 * Retrieve disable flat flag value
	 *
	 * @return bool
	 */
	public function getDisableFlat() {
		return true;
	}
}
