<?php
/* @var $installer VIA_Ebay_Model_Resource_Eav_Mysql4_Setup */
$installer = $this;
$installer->startSetup ();

$installer->run ( "

DROP TABLE IF EXISTS {$this->getTable('viaebay_backlog_product')};
CREATE TABLE {$this->getTable('viaebay_backlog_product')} (
	`backlog_id` int(11) unsigned NOT NULL auto_increment,
	`product_id` int(10) unsigned NOT NULL,
	`changes` text default '',
	`created_at` datetime default '0000-00-00 00:00:00',
	PRIMARY KEY(`backlog_id`),
	CONSTRAINT `FK_VIAEBAY_PRODUCT_BACKLOG_PRODUCT_ID` FOREIGN KEY (`product_id`) REFERENCES {$installer->getTable('catalog_product_entity')} (`entity_id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

" );

$installer->endSetup ();