<?php
/* @var $installer VIA_Ebay_Model_Resource_Eav_Mysql4_Setup */
$installer = $this;
$installer->startSetup ();

// get DB connectiondelete from core_resource where code = 'viaebay_setup';
$db = Mage::getSingleton ( 'core/resource' )->getConnection ( 'core_write' );
$table_prefix = Mage::getConfig ()->getTablePrefix ();

// ############### create viaebay_id attribute #################

// check wether viaebay_id column exists for orders
$orderIdFieldExists = false;
$result = $db->query ( "EXPLAIN {$table_prefix}sales_flat_order" );

while ( $resultset = $result->fetch ( PDO::FETCH_ASSOC ) ) {
	if ($resultset ['Field'] == 'viaebay_id')
		$orderIdFieldExists = true;
}

if (! $orderIdFieldExists) {
	$installer->getConnection ()->addColumn ( $installer->getTable ( 'sales_flat_order' ), 'viaebay_id', 'varchar(255) NULL DEFAULT NULL AFTER `entity_id`' );
	
	$installer->addAttribute ( 'order', 'viaebay_id', array (
			'type' => 'static' 
	) );
}

// check wether viaebay_id column exists for orders grid
$orderIdFieldExists = false;
$result = $db->query ( "EXPLAIN {$table_prefix}sales_flat_order_grid" );

while ( $resultset = $result->fetch ( PDO::FETCH_ASSOC ) ) {
	if ($resultset ['Field'] == 'viaebay_id')
		$orderIdFieldExists = true;
}

if (! $orderIdFieldExists) {
	$installer->getConnection ()->addColumn ( $installer->getTable ( 'sales_flat_order_grid' ), 'viaebay_id', 'varchar(255) NULL DEFAULT NULL AFTER `entity_id`' );
}

$installer->endSetup ();
